### Class

# Clutter Settings

#### Description [src]

    final class Clutter.Settings : GObject.Object
    {
      /* No available fields */
    }

Settings configuration

Clutter depends on some settings to perform operations like detecting multiple button press events, or font options to render text.

Usually, Clutter will strive to use the platform’s settings in order to be as much integrated as possible. It is, however, possible to change these settings on a per-application basis, by using the `ClutterSettings` singleton object and setting its properties. It is also possible, for toolkit developers, to retrieve the settings from the `ClutterSettings` properties when implementing new UI elements, for instance the default font name.

#### Ancestors

- GObject

#### Functions

###### clutter_settings_get_default

Retrieves the singleton instance of `ClutterSettings`.

deprecated: Unknown

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.Settings:dnd-drag-threshold

The default distance that the cursor of a pointer device should travel before a drag operation should start.

###### Clutter.Settings:double-click-distance

The maximum distance, in pixels, between button-press events that determines whether or not to increase the click count by 1.

###### Clutter.Settings:double-click-time

The time, in milliseconds, that should elapse between button-press events in order to increase the click count by 1.

###### Clutter.Settings:font-dpi

The DPI used when rendering text, as a value of 1024 * dots/inch.

###### Clutter.Settings:font-name

The default font name that should be used by text actors, as a string that can be passed to `pango_font_description_from_string()`.

###### Clutter.Settings:long-press-duration

Sets the minimum duration for a press to be recognized as a long press gesture. The duration is expressed in milliseconds.

###### Clutter.Settings:password-hint-time

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.